=== debian/changelog ===
kernel-patch-2.4-speedtouch (1.5-1) unstable; urgency=low

  * Initial Release

 -- Russell Coker <russell@coker.com.au>  Fri, 26 Oct 2001 18:49:00 +0200
