=== debian/control ===
Source: kernel-patch-2.4-speedtouch
Section: devel
Priority: extra
Maintainer: Russell Coker <russell@coker.com.au>
Standards-Version: 3.5.6
Build-Depends: debhelper (>> 2.0.0), dh-kpatches

Package: kernel-patch-2.4-speedtouch
Architecture: all
Depends: patch
Suggests: kernel-source-2.4, kernel-package
Description: speedtouch USB ADSL support for 2.4
 The Alcatel SpeedTouch USB ADSL device is one of the cheapest pieces of
 hardware you can use for an ADSL connection.  This patch supplies the Linux
 driver for it as well as the necessary "sarlib".  Supports 2.4.10 and 2.4.13.
